Bug 1366081 - Cluster Performance Graph Range Selection Popup Broken
Summary: Cluster Performance Graph Range Selection Popup Broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2
Assignee: kamlesh
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: Console-2-Async
TreeView+ depends on / blocked
 
Reported: 2016-08-11 01:10 UTC by Jean-Charles Lopez
Modified: 2016-10-19 15:21 UTC (History)
8 users (show)

Fixed In Version: rhscon-ui-0.0.57-1.el7scon
Doc Type: Bug Fix
Doc Text:
While checking the cluster system performance, the selection of any elapsed hour range inappropriately displayed tick marks on both the elapsed hour(s) range. With this update, the console displays system performance graph with a tick mark only on the selected elapsed hour(s).
Clone Of:
Environment:
Last Closed: 2016-10-19 15:21:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2082 0 normal SHIPPED_LIVE Moderate: Red Hat Storage Console 2 security and bug fix update 2017-04-18 19:29:02 UTC

Description Jean-Charles Lopez 2016-08-11 01:10:05 UTC
Description of problem: While trying to adjust the graph range in the ceph cluster overview tab


Version-Release number of selected component (if applicable): 2.0 (0.0.39)


How reproducible:
100%

Steps to Reproduce:
1. Click on the graph range where it says 'Last 1 Hour'
2. Observe the pop up menu

Actual results:
Both entries are checked whatever value is already selected

Expected results:
If 'Last 1 hour' is selected, then 'Last 24 Hours' shouldn't be
If 'Last 24 hour' is selected, then 'Last 1 Hours' shouldn't be

Additional info:

Comment 4 Nishanth Thomas 2016-08-11 06:32:01 UTC
There is no impact on the functionality, even the UI is misleading. Don't think this is blocker for 2.0. Can be moved out

Comment 5 Jeff Applewhite 2016-08-25 17:13:27 UTC
added to async tracker

Comment 7 Filip Balák 2016-09-26 10:39:02 UTC
Tested with
Server:
ceph-ansible-1.0.5-33.el7scon.noarch
ceph-installer-1.0.15-2.el7scon.noarch
graphite-web-0.9.12-8.1.el7.noarch
rhscon-ceph-0.0.42-1.el7scon.x86_64
rhscon-core-selinux-0.0.43-1.el7scon.noarch
rhscon-core-0.0.43-1.el7scon.x86_64
rhscon-ui-0.0.57-1.el7scon.noarch

Node:
calamari-server-1.4.8-1.el7cp.x86_64
ceph-base-10.2.2-41.el7cp.x86_64
ceph-common-10.2.2-41.el7cp.x86_64
ceph-mon-10.2.2-41.el7cp.x86_64
ceph-osd-10.2.2-41.el7cp.x86_64
ceph-selinux-10.2.2-41.el7cp.x86_64
libcephfs1-10.2.2-41.el7cp.x86_64
python-cephfs-10.2.2-41.el7cp.x86_64
rhscon-agent-0.0.19-1.el7scon.noarch
rhscon-core-selinux-0.0.43-1.el7scon.noarch

and it works as it is expected. --> Verified

Comment 9 Shubhendu Tripathi 2016-10-17 18:54:31 UTC
Doc-text looks good

Comment 10 errata-xmlrpc 2016-10-19 15:21:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:2082


Note You need to log in before you can comment on or make changes to this bug.